Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Interface CredentialRequestOptionsParameters.IUserVerificationRequirementStage

All Known Implementing Classes:
  `CredentialRequestOptionsParameters.Builder`

Enclosing class:
  CredentialRequestOptionsParameters

public static interface CredentialRequestOptionsParameters.IUserVerificationRequirementStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialRequestOptionsParameters.IChallengeStage`
`withUserVerificationRequirement(com.yubico.webauthn.data.UserVerificationRequirement userVerificationRequirement)`
Does the authentication/registration require user verification.

## Method Details

### withUserVerificationRequirement

CredentialRequestOptionsParameters.IChallengeStage withUserVerificationRequirement(@Nonnull com.yubico.webauthn.data.UserVerificationRequirement userVerificationRequirement)
Does the authentication/registration require user verification.

Parameters:
  `userVerificationRequirement` - the requirement
Returns:
  the next stage